Skip to Content
veriom

Revoke gate override

POST
/v1/workspaces/{workspace_id}/architecture-intent/gates/overrides/{override_id}/revoke

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
override_id*Override Id
Formatuuid

Request Body

application/json
  1. body
reason*Reason
Length10 <= length <= 4000

Response Body

Successful Response

application/json
  1. response
actor_id*Actor Id
Formatuuid
actor_name*Actor Name
created_at*Created At
Formatdate-time
evaluation_id*Evaluation Id
Formatuuid
expires_at*Expires At
Formatdate-time
id*Id
Formatuuid
rationale*Rationale
revocation_reason?string|null
revoked_at?|null
revoked_by_name?string|null
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/overrides/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke' \  -H 'Content-Type: application/json' \  -d '{  "reason": "stringstri"}'
Example Response
{  "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",  "actor_name": "string",  "created_at": "2019-08-24T14:15:22Z",  "evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324",  "expires_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "rationale": "string",  "revocation_reason": "string",  "revoked_at": "2019-08-24T14:15:22Z",  "revoked_by_name": "string"}